# Method: accounts.accountLinks.list

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/list#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/list#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/list#body.ListAccountLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/list#body.aspect)

Returns the account links for a Hotel Center account.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/accountLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the account being queried. The format is `accounts/{account_id}`. |

### Request body

The request body must be empty.

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/list#google.travel.travelpartner.v3.AccountLinkService.ListAccountLinks`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accountLinks": [ { object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks#AccountLink`) } ] } ``` |

| Fields ||
|---|---|
| `accountLinks[]` | ``object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks#AccountLink`)`` A list of all account links associated with the Hotel Center account being queried. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).